<?
//  
//  Copyright (c) 2006, 2007		Dmitry Butskoy
//  					<buc@citadel.stu.neva.ru>
//  License:  GPL v2 or any later
//  
//  For full terms see the file COPYING.
//  

$PROGRAM="phpWAPmail";
$VERSION="0.5";

// to avoid output garbling by the internal imap warnings...
error_reporting(0);

import_request_variables("PG");   // from POST, then from GET if any...


require("./config.php");

require("./functions.php");


//   LANGUAGE  STUFF

if (isset($LANGUAGE))
	$LANGUAGE = canon_lang($LANGUAGE);
elseif (isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])) {
    $str = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
    $str = preg_replace("/;q=[0-9.]+/i", "", $str);
    $langs = explode(",", $str);

    foreach ($langs as $lang) {
	$lang = canon_lang($lang);
	if (file_exists("./locale/".$lang)) {
	    $LANGUAGE = $lang;
	    break;
	}
    }
}

if (isset($LANGUAGE)) {
    setlocale(LC_ALL,$LANGUAGE);
    bindtextdomain("messages","./locale/");
    bind_textdomain_codeset("messages","UTF-8");
    textdomain("messages");
}


//	PAGESIZE  STUFF

if (function_exists("apache_request_headers")) {
    $aphdr = apache_request_headers();
    if (!empty($aphdr)) {
	foreach ($aphdr as $name => $value) {
	    if (!strcasecmp($name, "X-WAP-Client-SDU-Size") ||   // Kannel
		!strcasecmp($name, "X-UP-DevCap-Max-PDU")	 // UP.Link
	    )  $max_pdu = $value;
	    elseif (!strcasecmp($name, "User-Agent"))
		    $wapua = $value;
	    elseif (!strcasecmp($name, "X-Wap-Profile"))
		    $prof = $value;
	}

	if (isset($max_pdu)) {
	    $real = ceil($max_pdu * 0.75);
	    if (!isset($PAGESIZE) || $PAGESIZE > $real)
		    $PAGESIZE = $real;
	}
	elseif (!isset($PAGESIZE)) {
	    if (eregi("MIDP-1.0",$wapua))  $PAGESIZE = 3000;
	    elseif (eregi("MIDP-2.0",$wapua))  $PAGESIZE = 4000;
	    elseif (isset($prof))  $PAGESIZE = 2100;
	}
    }
}
if (!isset($PAGESIZE))  $PAGESIZE = 1000;	    //  what else ?...

$real = ceil($PAGESIZE / 200);
if (!isset($MAILSBYPAGE) || $MAILSBYPAGE > $real)
	$MAILSBYPAGE = $real;

$real = ceil($PAGESIZE / 300);
if (!isset($PAGESBYPAGE) || $PAGESBYPAGE > $real)
	$PAGESBYPAGE = $real;


$EMPTY_SUBJ = "(" . _('No subject') . ")";
$NEXT_LINK = " &#187;&#187;";	//  "double >" twice:  >> >>  


if (empty($F))  $F = "$BASEFOLDER";

if (!empty($CP))  $P = cryptomask(base64_decode($CP));

if (!empty($H) && !empty($F) && !empty($U) && !empty($P)) {
    $HF = "{".$H."/novalidate-cert}".$F;
    $mbox = imap_open ($HF, "$U", "$P") or
		    wmldie ("can't connect: " . imap_last_error());
    //  only after successful authentication...
    if (empty($CP))  $CP = base64_encode(cryptomask($P));
}

if (!isset($S))  $S = 1;


?>
