<?
#
#  phpWAPmail  config file
#


# Default protocol to use.
# Note: "/novalidate-cert" will be always added to result string
#
# /pop3, /pop3/ssl, /imap, /imap/ssl
$DEF_PROT="/imap/ssl";


#  If set, work with this host only
#$HOST="127.0.0.1";	/*  can be host:port    */
/*  default ports are:  pop3: 110, pop3s: 995, imap: 143, imaps: 993   */
#$DEF_PROT="/imap";	/*  no ssl needed for localhost  */


#  Actually it is a salt, using when crypt (md5 or blowfish)
#  an unique string, containing php-host/mail-host/folder/user .
#  The crypted value is used for masking user passwords in the GET urls. 
#  If empty, some local directory inode number will be used (not recommended).
$SECRET = "";


#  Time period (in seconds) to assume that nothing special is changed
#  at the server side. Zero it to avoid caching at all.
#  Note: you can switch the caching off at runtime too.
$CACHE_MAX_AGE = 600;		//  10 minutes


#  Use specified language. 
#  If not set will be auto-detected by browser's headers.
#  If the language is not (yet) supported, English will be used.
$LANGUAGE = "en";		//  en, en_US, ...


# Server type configuration
# If you don't use Courier nor Cyrus IMAP, put 0 in both cases. (for example if your imap server is uw-imapd)

# Is your server Cyrus-IMAP?
# Put "1" if you use Cyrus-IMAP, otherwise leave it as "0".
$CYRUS="0";

# Which is your Cyrus Trash Folder?
$FOLDERTRASH="INBOX.Trash";

# Is your server Courier-IMAP ?
# Put "1" if you use Courier-IMAP, otherwise leave it as "0".
$COURIER="0";


# Split long text by this number of bytes (approximately)
# If not set will be auto-guessed.
#$PAGESIZE="1024";

# How many mails to show by page when browsing your folders
# If not set will be computed by $PAGESIZE value.
# Will be decreased automatically when too small $PAGESIZE too.
$MAILSBYPAGE="10";

# A maximum number of links (to another mailpages) to show at the "pages" page.
# If the number is more than PAGESBYPAGE, then less links will be shown
# and an additional form for entering the page number will appear.
$PAGESBYPAGE="10";

# How many folders to show by page when changing a folders
$FOLDERSBYPAGE="20";

# Base folder for imap folders.
$BASEFOLDER="INBOX";

?>
